mono y framework 4.0

Imagen de ANDROSANGELS
0 puntos

hola
mi problema es el siguiente:
al tratar de ejecutar un programa creado/iniciado en visual studio 2010 en c# en la versión de mono que se encuentra en los repositorios de ubuntu 11.04 me da el siguiente error:

Error: Framework 'Mono / .NET 4.0' not installed. (WindowsFormsApplication1)

investigando un poco descubrí que las nuevas versiones soportan el .net 4.0

pero el problema principal es que no encuentro como instalar la nueva versión, la pagina oficial solo me manda a los repositorios. lindo ciclo XD

no se si es algo mal planeado o de plano yo soy muy imve... inútil. que la verdad si lo soy, pero no tanto.

gracias...

Imagen de ANDROSANGELS
+1
0
-1

buscando en la red la forma de actualizar mi mono (sin albur) encontré esta:

New Install

mkdir mono-2.10
cd mono-2.10
wget --no-check-certificate https://github.com/nathanb/iws-snippets/raw/master/mono-install-scripts/...
chmod 755 install_mono-2.10.sh
./install_mono-2.10.sh

Upgrade

cd directory_where_you_downloaded_install_mono-2.10.sh
wget --no-check-certificate https://github.com/nathanb/iws-snippets/raw/master/mono-install-scripts/...
chmod 755 upgrade_mono-2.10.2-2.10.4.sh
./upgrade_mono-2.10.2-2.10.4.sh

puede sea mi falta de conocimientos, pero estos escript no se me hacen del todo confiables. ¿este método si es viable? ¿conocen un método seguro?

se agradece todo tipo de ayuda XD

fuente:
http://www.integratedwebsystems.com/2011/08/install-mono-2-10-3-on-ubunt...

+1
0
-1

__________________________________________________________
Ayuda a tus semejantes a levantar su carga, pero no a llevarla - Pitágoras

Imagen de INFERNOX
+1
0
-1

Ola ANDROSANGELS; man tambien tengo el mismo problema... queriendo ejecutar una pequeña aplicacion web me envio el mismo mensaje q a ti..... dime si te funciono el script que presentaste lineas arriba... o encontraste alguna otra forma??? se agradece...........

+1
0
-1

Respiremos aire de jah..!!!! y tengamos mas conciencia..!!